import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { CnProjectVersion } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-11-02 13:47
 */
interface CnProjectVersionCU extends ConditionUtil<CnProjectVersionCU> {
    ID: FieldUtil<CnProjectVersionCU>;
    PROJECT_ID: FieldUtil<CnProjectVersionCU>;
    VERSION_NO: FieldUtil<CnProjectVersionCU>;
    RELEASE_TAG: FieldUtil<CnProjectVersionCU>;
    RELEASE_STATUS: FieldUtil<CnProjectVersionCU>;
    REMARK: FieldUtil<CnProjectVersionCU>;
    DELETED: FieldUtil<CnProjectVersionCU>;
    CREATE_USER_ID: FieldUtil<CnProjectVersionCU>;
    CREATE_TIME: FieldUtil<CnProjectVersionCU>;
    SEQ_NO: FieldUtil<CnProjectVersionCU>;
}
declare class CnProjectVersionMU extends TableUtilImpl<CnProjectVersionCU, CnProjectVersion> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): CnProjectVersionCU;
    static get ID(): FieldUtil<CnProjectVersionCU>;
    static get PROJECT_ID(): FieldUtil<CnProjectVersionCU>;
    static get VERSION_NO(): FieldUtil<CnProjectVersionCU>;
    static get RELEASE_TAG(): FieldUtil<CnProjectVersionCU>;
    static get RELEASE_STATUS(): FieldUtil<CnProjectVersionCU>;
    static get REMARK(): FieldUtil<CnProjectVersionCU>;
    static get DELETED(): FieldUtil<CnProjectVersionCU>;
    static get CREATE_USER_ID(): FieldUtil<CnProjectVersionCU>;
    static get CREATE_TIME(): FieldUtil<CnProjectVersionCU>;
    static get SEQ_NO(): FieldUtil<CnProjectVersionCU>;
    get ID(): FieldUtil<CnProjectVersionCU>;
    get PROJECT_ID(): FieldUtil<CnProjectVersionCU>;
    get VERSION_NO(): FieldUtil<CnProjectVersionCU>;
    get RELEASE_TAG(): FieldUtil<CnProjectVersionCU>;
    get RELEASE_STATUS(): FieldUtil<CnProjectVersionCU>;
    get REMARK(): FieldUtil<CnProjectVersionCU>;
    get DELETED(): FieldUtil<CnProjectVersionCU>;
    get CREATE_USER_ID(): FieldUtil<CnProjectVersionCU>;
    get CREATE_TIME(): FieldUtil<CnProjectVersionCU>;
    get SEQ_NO(): FieldUtil<CnProjectVersionCU>;
}
export { CnProjectVersionMU, CnProjectVersionCU };
